From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Mon, 24 Jan 2022 12:30:33 +0100
Subject: redpine: rename complete_and_exit

see cead18552660702a4a46f58e65188fe5f36e9dfe
---
 drivers/net/wireless/redpine/rsi_91x_coex.c     | 2 +-
 drivers/net/wireless/redpine/rsi_91x_main.c     | 4 ++--
 drivers/net/wireless/redpine/rsi_91x_sdio_ops.c | 2 +-
 drivers/net/wireless/redpine/rsi_91x_usb_ops.c  | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/drivers/net/wireless/redpine/rsi_91x_coex.c b/drivers/net/wireless/redpine/rsi_91x_coex.c
index 129aef1..b5c8d69 100644
--- a/drivers/net/wireless/redpine/rsi_91x_coex.c
+++ b/drivers/net/wireless/redpine/rsi_91x_coex.c
@@ -112,7 +112,7 @@ static void rsi_coex_scheduler_thread(struct rsi_common *common)
 				__func__, __LINE__);
 		redpine_set_clr_tx_intention(common, BT_ZB_ID, 0);
 	} while (atomic_read(&coex_cb->coex_tx_thread.thread_done) == 0);
-	complete_and_exit(&coex_cb->coex_tx_thread.completion, 0);
+	kthread_complete_and_exit(&coex_cb->coex_tx_thread.completion, 0);
 }
 
 int rsi_coex_recv_pkt(struct rsi_common *common, u8 *msg)
diff --git a/drivers/net/wireless/redpine/rsi_91x_main.c b/drivers/net/wireless/redpine/rsi_91x_main.c
index dc4ffaf..d9f2e9e 100644
--- a/drivers/net/wireless/redpine/rsi_91x_main.c
+++ b/drivers/net/wireless/redpine/rsi_91x_main.c
@@ -629,7 +629,7 @@ static void rsi_tx_scheduler_thread(struct rsi_common *common)
 			redpine_set_clr_tx_intention(common, WLAN_ID, 0);
 		}
 	} while (atomic_read(&common->tx_thread.thread_done) == 0);
-	complete_and_exit(&common->tx_thread.completion, 0);
+	kthread_complete_and_exit(&common->tx_thread.completion, 0);
 }
 
 #ifdef CONFIG_SDIO_INTR_POLL
@@ -645,7 +645,7 @@ void rsi_sdio_intr_poll_scheduler_thread(struct rsi_common *common)
                 msleep(20);
 
         } while (atomic_read(&common->sdio_intr_poll_thread.thread_done) == 0);
-        complete_and_exit(&common->sdio_intr_poll_thread.completion, 0);
+        kthread_complete_and_exit(&common->sdio_intr_poll_thread.completion, 0);
 }
 
 void init_sdio_intr_status_poll_thread(struct rsi_common *common)
diff --git a/drivers/net/wireless/redpine/rsi_91x_sdio_ops.c b/drivers/net/wireless/redpine/rsi_91x_sdio_ops.c
index f67b9f6..843b719 100644
--- a/drivers/net/wireless/redpine/rsi_91x_sdio_ops.c
+++ b/drivers/net/wireless/redpine/rsi_91x_sdio_ops.c
@@ -118,7 +118,7 @@ void rsi_sdio_rx_thread(struct rsi_common *common)
 	redpine_dbg(INFO_ZONE, "%s: Terminated SDIO RX thread\n", __func__);
 	skb_queue_purge(&sdev->rx_q.head);
 	atomic_inc(&sdev->rx_thread.thread_done);
-	complete_and_exit(&sdev->rx_thread.completion, 0);
+	kthread_complete_and_exit(&sdev->rx_thread.completion, 0);
 }
 
 /**
diff --git a/drivers/net/wireless/redpine/rsi_91x_usb_ops.c b/drivers/net/wireless/redpine/rsi_91x_usb_ops.c
index a846ea2..186399b 100644
--- a/drivers/net/wireless/redpine/rsi_91x_usb_ops.c
+++ b/drivers/net/wireless/redpine/rsi_91x_usb_ops.c
@@ -73,6 +73,6 @@ void rsi_usb_rx_thread(struct rsi_common *common)
 
 	redpine_dbg(INFO_ZONE, "%s: Terminated USB RX thread\n", __func__);
 	atomic_inc(&dev->rx_thread.thread_done);
-	complete_and_exit(&dev->rx_thread.completion, 0);
+	kthread_complete_and_exit(&dev->rx_thread.completion, 0);
 }
 
